For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETList online players
      • GETWho Am I
      • GETGet player profile
      • GETList a player's characters
      • GETGet detailed character data
      • GETGet character ability map
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesPlayer

List online players

GET
https://api.wynncraft.com/v3/player
GET
/v3/player
$curl https://api.wynncraft.com/v3/player
200Retrieved
1{
2 "total": 1,
3 "players": {
4 "identifier": "string"
5 }
6}
<Note> This endpoint is cached for <Badge intent="success" minimal>30 seconds</Badge> in the <Badge intent="warning" minimal>USER</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>PLAYER</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> <Warning> Online player list is subject to [Access Rules](/privacy), which can hide some players from the list. Rely on the field `total` to have the accurate player count. </Warning>
Was this page helpful?
Previous

OAuth2 quirks

Next

Who Am I

Built with

This endpoint is cached for 30 seconds in the USER cache source. See Caching.

This endpoint belongs to the PLAYER rate-limit bucket. See Throttling and Rate Limits.

Online player list is subject to Access Rules, which can hide some players from the list. Rely on the field total to have the accurate player count.

Query parameters

identifierenumOptional
Switches player descriptor between either their username or their uuid.
Allowed values:
serverstring or integerOptional

Filter online players to a specific world such as WC1 or 1.

Response

Online player summary.
totalinteger
playersobject